FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}/fixes-for-B1:"

# add fixes integrated in Beta1
SRC_URI_append += "\
    file://0001-stm32mp1-flush-data-cache-for-BL33.patch \
    "

# add patches
SRC_URI_append += "\
    file://0001-fix-add-missing-definition-for-stm32mp157cad-pinctrl.patch \
    file://0002-fix-definition-of-CLK_ADC_PLL4Q.patch \
    file://0003-fix-add-missing-tag-usbotg_hs.patch \
    "

# add common devicetree configuration for boards
SRC_URI_append += "\
    file://stm32mp15-mx.h \
    file://stm32mp157c-t1000-ddr-undef.h;subdir=git/fdts \
    file://stm32mp157c-t1000-ddr3-1x4Gb-1066-binG.h;subdir=git/fdts \
    file://stm32mp-som-t1000.dtsi;subdir=git/fdts \
    "

# add board default
SRC_URI_append += "\
    file://stm32mp157c-t1000-default-mx.dts;subdir=git/fdts \
    file://stm32mp-t1000-default.dts;subdir=git/fdts \
    file://stm32mp-board-default.dtsi;subdir=git/fdts \
    "

# add board mini
SRC_URI_append += "\
    file://stm32mp157c-t1000-mini-mx.dts;subdir=git/fdts \
    file://stm32mp-t1000-mini.dts;subdir=git/fdts \
    file://stm32mp-board-mini.dtsi;subdir=git/fdts \
    "

# add board s
SRC_URI_append += "\
    file://stm32mp157c-t1000-s-mx.dts;subdir=git/fdts \
    file://stm32mp-t1000-s.dts;subdir=git/fdts \
    file://stm32mp-board-s.dtsi;subdir=git/fdts \
    "

# add board stmxceet
SRC_URI_append += "\
    file://stmxceet-mp157-som.dts;subdir=git/fdts \
    file://stmxceet-mp157-som_atf.dts;subdir=git/fdts \
    file://stm32mp157c-t1000-mx.dts;subdir=git/fdts \
    file://stm32mp15-mx.h;subdir=git/fdts/include \
    "

